Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiContentFilterResultsBase

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiContentFilterResultsBase

Direct Known Subclasses:
  `OpenAiContentFilterPromptResults`

@Deprecated public class OpenAiContentFilterResultsBase extends Object
Deprecated.
Information about the content filtering results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiContentFilterResultsBase()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `OpenAiErrorBase`
  `getError()`
  Deprecated.
  `OpenAiContentFilterSeverityResult`
  `getHate()`
  Deprecated.
  Hate speech content filter result.
  `OpenAiContentFilterDetectedResult`
  `getProfanity()`
  Deprecated.
  Profanity content filter result.
  `OpenAiContentFilterSeverityResult`
  `getSelfHarm()`
  Deprecated.
  Intolerant content filter result.
  `OpenAiContentFilterSeverityResult`
  `getSexual()`
  Deprecated.
  Sexual content filter result.
  `OpenAiContentFilterSeverityResult`
  `getViolence()`
  Deprecated.
  Violent content filter result.
  `int`
  `hashCode()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiContentFilterResultsBase

    public OpenAiContentFilterResultsBase()
    Deprecated.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### getSexual

    @Nullable public OpenAiContentFilterSeverityResult getSexual()
    Deprecated.
    Sexual content filter result.

  - ### getViolence

    @Nullable public OpenAiContentFilterSeverityResult getViolence()
    Deprecated.
    Violent content filter result.

  - ### getHate

    @Nullable public OpenAiContentFilterSeverityResult getHate()
    Deprecated.
    Hate speech content filter result.

  - ### getSelfHarm

    @Nullable public OpenAiContentFilterSeverityResult getSelfHarm()
    Deprecated.
    Intolerant content filter result.

  - ### getProfanity

    @Nullable public OpenAiContentFilterDetectedResult getProfanity()
    Deprecated.
    Profanity content filter result.

  - ### getError

    @Nullable public OpenAiErrorBase getError()
    Deprecated.